org.fife.ui.rtextarea

## Class RTextAreaEditorKit.BeginRecordingMacroAction

- java.lang.Object
- - javax.swing.AbstractAction
  - - javax.swing.text.TextAction
    - - org.fife.ui.rtextarea.RecordableTextAction
      - - org.fife.ui.rtextarea.RTextAreaEditorKit.BeginRecordingMacroAction

All Implemented Interfaces:
  ActionListener, Serializable, Cloneable, EventListener, Action

Enclosing class:
  RTextAreaEditorKit

    public static class RTextAreaEditorKit.BeginRecordingMacroAction
    extends RecordableTextAction

Action that begins recording a macro.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class javax.swing.AbstractAction

`changeSupport, enabled`

### Fields inherited from interface javax.swing.Action

`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

### Constructor Summary

Constructors
Constructor and Description
`RTextAreaEditorKit.BeginRecordingMacroAction()`
`RTextAreaEditorKit.BeginRecordingMacroAction(String name, Icon icon, String desc, Integer mnemonic, KeyStroke accelerator)`

### Method Summary

Methods
`void` `actionPerformedImpl(ActionEvent e, RTextArea textArea)` The actual meat of the action.
`String` `getMacroID()` Returns the identifier for this macro.
`boolean` `isRecordable()` Returns whether or not this action will be recorded and replayed in a macro.

### Methods inherited from class org.fife.ui.rtextarea.RecordableTextAction

`actionPerformed, getAccelerator, getDescription, getIcon, getMnemonic, getName, setAccelerator, setMnemonic, setMnemonic, setName, setProperties, setRecordable, setShortDescription`

### Methods inherited from class javax.swing.text.TextAction

`augmentList, getFocusedComponent, getTextComponent`

### Methods inherited from class javax.swing.AbstractAction

`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RTextAreaEditorKit.BeginRecordingMacroAction

    public RTextAreaEditorKit.BeginRecordingMacroAction()

#### RTextAreaEditorKit.BeginRecordingMacroAction

    public RTextAreaEditorKit.BeginRecordingMacroAction(String name,
                                                Icon icon,
                                                String desc,
                                                Integer mnemonic,
                                                KeyStroke accelerator)

### Method Detail

#### actionPerformedImpl

    public void actionPerformedImpl(ActionEvent e,
                           RTextArea textArea)

Description copied from class: `RecordableTextAction`
The actual meat of the action. If you wish to subclass this action and modify its behavior, this is the method to override.

Specified by:
  `actionPerformedImpl` in class `RecordableTextAction`
Parameters:
  `e` - The action being performed.
  `textArea` - The text area "receiving" the action.
See Also:
  `RecordableTextAction.actionPerformed(java.awt.event.ActionEvent)`

#### isRecordable

    public boolean isRecordable()

Description copied from class: `RecordableTextAction`
Returns whether or not this action will be recorded and replayed in a macro.

Overrides:
  `isRecordable` in class `RecordableTextAction`
Returns:
  Whether or not this action will be recorded and replayed.
See Also:
  `RecordableTextAction.setRecordable(boolean)`

#### getMacroID

    public final String getMacroID()

Description copied from class: `RecordableTextAction`
Returns the identifier for this macro. This method makes it so that you can create an instance of the `RTextAreaEditorKit.CutAction` action, for example, rename it to "Remove", and it will still be recorded as a "cut" action. Subclasses should return a unique string from this method; preferably the name of the action.

If you subclass a `RecordableTextAction`, you should NOT override this method; if you do, the action may not be properly recorded in a macro.

Specified by:
  `getMacroID` in class `RecordableTextAction`
Returns:
  The internally-used macro ID.